check()
{
    if diff $1 $2; then
        echo ok
    else
        echo fail
		exit
    fi
}
export -f check
####################################################################
# 1. Test set_somatic
####################################################################
echo -e "    somatic.t01...\c"
echo "H_LS-E2-A14P-01A-31D-A19H-09	C/T	0.1875	12	64	H_LS-E2-A14P-10A-01D-A19H-09	C/C	0.0	0	30	chr2	128046288	128046289	C	T	ERCC3
H_LS-E2-A14P-01A-31D-A19H-09	C/A	0.555555555556	10	18	H_LS-E2-A14P-10A-01D-A19H-09	C/C	0.0	0	17	chr17	7578460	7578461	C	A	TP53
H_LS-E2-A14P-01A-31D-A19H-09	CTGCTATTTTG/CG	0.22	11	50	H_LS-E2-A14P-10A-01D-A19H-09	CTGCTATTTTG/CTGCTATTTTG	0.0	0	70	chr17	59861630	59861641	CTGCTATTTTG	CG	BRIP1
H_LS-E2-A14P-01A-31D-A19H-09	GTTTTTTTTTTTTTGTATTTTTAGTAG/GTTTTTTTTTTTTGTATTTTTAGTAG	0.166666666667	4	24	H_LS-E2-A14P-10A-01D-A19H-09	GTTTTTTTTTTTTTGTATTTTTAGTAG/GTTTTTTTTTTTTTGTATTTTTAGTAG	0.0833333333333	1	12	chr6	132856479	132856506	GTTTTTTTTTTTTTGTATTTTTAGTAG	GTTTTTTTTTTTTGTATTTTTAGTAG	TAAR9
H_LS-E2-A14P-01A-31D-A19H-09	T/C	0.0972222222222	7	72	H_LS-E2-A14P-10A-01D-A19H-09	T/T	0.0697674418605	3	43	chr6	132857168	132857169	T	C	TAAR9
H_LS-E2-A14P-01A-31D-A19H-09	A/G	0.0969696969697	16	165	H_LS-E2-A14P-10A-01D-A19H-09	A/A	0.00653594771242	1	153	chr6	132922237	132922238	A	G	
H_LS-E2-A14P-01A-31D-A19H-09	GAAAAAAAAAAAAAGGTGAAAATT/GAAAAAAAAAAAAGGTGAAAATT	0.217391304348	5	23	H_LS-E2-A14P-10A-01D-A19H-09	GAAAAAAAAAAAAAGGTGAAAATT/GAAAAAAAAAAAAAGGTGAAAATT	0.0	0	25	chrX	132838304	132838328	GAAAAAAAAAAAAAGGTGAAAATT	GAAAAAAAAAAAAGGTGAAAATT	GPC3
Identified and set 7 somatic mutations" > exp

gemini set_somatic test.somatic.db > obs

check obs exp
rm obs exp

####################################################################
# 2. Test actionable_mutations
####################################################################
echo -e "    somatic.t02...\c"

echo "tum_name	chrom	start	end	ref	alt	gene	impact	is_somatic	in_cosmic_census	dgidb_info
H_LS-E2-A14P-01A-31D-A19H-09	chr2	128046288	128046289	C	T	ERCC3	missense_variant	1	1	{'geneName': 'ERCC3', 'interactions': [], 'searchTerm': 'ERCC3', 'geneCategories': [{'id': '0d157beb-fd17-404d-8755-3a81aa5ed704', 'name': 'CLINICALLY ACTIONABLE'}, {'id': '25da529a29714d34bc2e75f0856e1f63', 'name': 'SERINE THREONINE KINASE'}, {'id': '4c14ec3171544bd2b18b2f1a45e6c8f2', 'name': 'KINASE'}, {'id': '4ce9f470845e469fb46feea79e05727d', 'name': 'TUMOR SUPPRESSOR'}, {'id': '51d8dcf789de4dd08ac3c0ce0992d20b', 'name': 'TRANSCRIPTION FACTOR COMPLEX'}, {'id': '8ec3ee55b5ac4e3f8a263748945a5ce4', 'name': 'DNA REPAIR'}, {'id': 'ecf1e11d8dcc4708a81f92bc514dafd1', 'name': 'TRANSCRIPTION FACTOR BINDING'}], 'entrezId': 2071, 'geneLongName': 'ERCC EXCISION REPAIR 3, TFIIH CORE COMPLEX HELICASE SUBUNIT'}
H_LS-E2-A14P-01A-31D-A19H-09	chr17	7578460	7578461	C	A	TP53	missense_variant	1	1	{'geneName': 'TP53', 'interactions': [{'pmids': [21475861], 'drugChemblId': 'CHEMBL25', 'sources': ['DrugBank'], 'score': 2, 'drugName': 'ASPIRIN', 'interactionId': 'a321e11f-57fc-43b5-9011-63a5e67797a3', 'interactionTypes': ['acetylation']}, {'pmids': [], 'drugChemblId': 'CHEMBL325041', 'sources': ['TALC'], 'score': 1, 'drugName': 'BORTEZOMIB', 'interactionId': '4f69bb39-7f0f-49dd-9512-526350885c3b', 'interactionTypes': ['inhibitor']}, {'pmids': [16476148], 'drugChemblId': 'CHEMBL54', 'sources': ['NCI'], 'score': 2, 'drugName': 'HALOPERIDOL', 'interactionId': 'fe8f5c4a-b3ac-4b8e-951e-ae5b3bbdc296', 'interactionTypes': []}, {'pmids': [24091768], 'drugChemblId': 'CHEMBL2140408', 'sources': ['CKB'], 'score': 2, 'drugName': 'AMG-900', 'interactionId': '72aba20e-35cc-4529-a84e-b38db92443a7', 'interactionTypes': []}, {'pmids': [17388661, 22903472], 'drugChemblId': 'CHEMBL417', 'sources': ['CKB'], 'score': 3, 'drugName': 'EPIRUBICIN', 'interactionId': '864d5555-dc0a-4105-a75b-d4c13481593c', 'interactionTypes': []}, {'pmids': [27659046], 'drugChemblId': 'CHEMBL2028663', 'sources': ['CKB'], 'score': 2, 'drugName': 'DABRAFENIB', 'interactionId': 'c321821c-156a-47c7-bf33-32a730f6fbc3', 'interactionTypes': []}, {'pmids': [27466356, 21399868, 23670029, 11720743, 17145525, 15579019], 'drugChemblId': 'CHEMBL1201583', 'sources': ['CKB', 'NCI'], 'score': 8, 'drugName': 'BEVACIZUMAB', 'interactionId': '39ce9eed-01ba-4e44-9d59-3b0a040eb0bb', 'interactionTypes': []}, {'pmids': [26272063, 25261369], 'drugChemblId': 'CHEMBL3545056', 'sources': ['CKB'], 'score': 3, 'drugName': 'INK-128', 'interactionId': 'b8f5fa40-cf04-4f35-b760-237c1becac0c', 'interactionTypes': []}, {'pmids': [16751417], 'drugChemblId': 'CHEMBL37390', 'sources': ['NCI'], 'score': 2, 'drugName': 'PROXYPHYLLINE', 'interactionId': 'e2a8d085-6cdb-4b52-baa2-50f9dce425dc', 'interactionTypes': []}, {'pmids': [15545218], 'drugChemblId': 'CHEMBL411', 'sources': ['NCI'], 'score': 2, 'drugName': 'DIETHYLSTILBESTROL', 'interactionId': '85ddbeac-0aea-4232-9233-9d79f3d13291', 'interactionTypes': []}, {'pmids': [26563132, 28062704], 'drugChemblId': 'CHEMBL3545178', 'sources': ['CKB', 'CGI'], 'score': 4, 'drugName': 'AZD-6738', 'interactionId': 'b1cf06bf-c8f3-4c5a-8636-aff65d6f57e4', 'interactionTypes': []}, {'pmids': [12027749], 'drugChemblId': 'CHEMBL11417', 'sources': ['NCI'], 'score': 2, 'drugName': 'STREPTONIGRIN', 'interactionId': 'f639a8ac-44c4-4163-830a-fdd9272f55d8', 'interactionTypes': []}, {'pmids': [], 'drugChemblId': 'CHEMBL448343', 'sources': ['DrugBank'], 'score': 1, 'drugName': 'Lesogaberan', 'interactionId': '6242605f-21b7-45a5-a2aa-564cf230f266', 'interactionTypes': []}, {'pmids': [23980093, 21325073], 'drugChemblId': 'CHEMBL592445', 'sources': ['CKB'], 'score': 3, 'drugName': 'GEDATOLISIB', 'interactionId': 'b6f3db25-51c1-455a-8990-3ea7591fece2', 'interactionTypes': []}, {'pmids': [15885361], 'drugChemblId': 'CHEMBL1551', 'sources': ['NCI'], 'score': 2, 'drugName': 'URSODIOL', 'interactionId': 'f2eeb717-da50-4d5d-b926-d283dfbdc6be', 'interactionTypes': []}, {'pmids': [], 'drugChemblId': 'CHEMBL1201129', 'sources': ['CGI'], 'score': 1, 'drugName': 'DECITABINE', 'interactionId': '8fbec8b9-6cba-45fe-a075-c234c4a03352', 'interactionTypes': []}, {'pmids': [], 'drugChemblId': 'CHEMBL2103758', 'sources': ['CGI'], 'score': 1, 'drugName': 'PRAMLINTIDE', 'interactionId': '31690ec5-b3e1-48e3-b034-dbceeccfa98a', 'interactionTypes': []}, {'pmids': [25567130], 'drugChemblId': 'CHEMBL481', 'sources': ['CKB'], 'score': 2, 'drugName': 'IRINOTECAN', 'interactionId': '47ec3322-ab10-4dc1-a8a1-c59c9830735b', 'interactionTypes': []}, {'pmids': [27659046], 'drugChemblId': 'CHEMBL2103875', 'sources': ['CKB'], 'score': 2, 'drugName': 'TRAMETINIB', 'interactionId': 'bde561c7-05ec-49c1-b36b-d5805960476c', 'interactionTypes': []}, {'pmids': [16243804], 'drugChemblId': 'CHEMBL178', 'sources': ['CKB'], 'score': 2, 'drugName': 'DAUNORUBICIN', 'interactionId': 'b1dfb4be-37ad-4ced-a32d-3deac32a6202', 'interactionTypes': []}, {'pmids': [27659046], 'drugChemblId': 'CHEMBL553', 'sources': ['CKB'], 'score': 2, 'drugName': 'ERLOTINIB', 'interactionId': 'e5c98100-6566-431f-b8a4-3cd4a6ade06e', 'interactionTypes': []}, {'pmids': [22862161, 26826118], 'drugChemblId': 'CHEMBL14762', 'sources': ['CKB'], 'score': 3, 'drugName': 'SELICICLIB', 'interactionId': 'e7c3f5d5-64c0-4f04-9884-328b0455deb5', 'interactionTypes': []}, {'pmids': [12058967], 'drugChemblId': 'CHEMBL671', 'sources': ['NCI'], 'score': 2, 'drugName': 'THIOTEPA', 'interactionId': 'cba2d517-d205-49b2-a82a-f071d03b8951', 'interactionTypes': []}, {'pmids': [17388661, 16243804, 26438783], 'drugChemblId': 'CHEMBL88', 'sources': ['CKB'], 'score': 4, 'drugName': 'CYCLOPHOSPHAMIDE', 'interactionId': '7e00c1f4-49a5-4e50-9257-bdfb27742872', 'interactionTypes': []}, {'pmids': [27167172, 23520471, 21389100, 27815358, 26228206], 'drugChemblId': 'CHEMBL888', 'sources': ['CKB', 'CGI'], 'score': 7, 'drugName': 'GEMCITABINE', 'interactionId': '7a492658-6634-4f8b-b72e-12ee3d11d34b', 'interactionTypes': []}, {'pmids': [16888811], 'drugChemblId': 'CHEMBL297812', 'sources': ['NCI'], 'score': 2, 'drugName': 'YONDELIS', 'interactionId': 'bba1a985-9b5d-464f-9228-ed9128328840', 'interactionTypes': []}, {'pmids': [11866936], 'drugChemblId': 'CHEMBL469912', 'sources': ['NCI'], 'score': 2, 'drugName': 'PUROMYCIN', 'interactionId': '3042bc97-c7f2-4c59-8191-0a5c9f53d1a4', 'interactionTypes': []}, {'pmids': [14614330], 'drugChemblId': 'CHEMBL905', 'sources': ['NCI'], 'score': 2, 'drugName': 'RIZATRIPTAN', 'interactionId': '2a6ab1a6-42ef-4d1b-b01e-7229bbb00aad', 'interactionTypes': []}, {'pmids': [], 'drugChemblId': 'CHEMBL185', 'sources': ['PharmGKB'], 'score': 1, 'drugName': 'FLUOROURACIL', 'interactionId': '1b02b2a8-0990-4f7b-bbc4-8ebe2bfdce4e', 'interactionTypes': []}, {'pmids': [21980130], 'drugChemblId': 'CHEMBL268697', 'sources': ['CKB'], 'score': 2, 'drugName': 'HEMICHOLINIUM-3', 'interactionId': 'df79dbd7-ba3f-4554-ac94-d009f15a8b05', 'interactionTypes': []}, {'pmids': [28285684], 'drugChemblId': 'CHEMBL3286830', 'sources': ['CKB'], 'score': 2, 'drugName': 'LORLATINIB', 'interactionId': '9d651196-1aba-4456-97ab-56d8aaf6dd65', 'interactionTypes': []}, {'pmids': [16684279], 'drugChemblId': 'CHEMBL650', 'sources': ['NCI'], 'score': 2, 'drugName': 'METHYLPREDNISOLONE', 'interactionId': '1404912e-0f73-46af-a653-7229586a0b85', 'interactionTypes': []}, {'pmids': [26910118], 'drugChemblId': 'CHEMBL2178577', 'sources': ['CKB'], 'score': 2, 'drugName': 'AZD-5363', 'interactionId': 'ccb2612c-246b-4691-96c9-786336adc3ca', 'interactionTypes': []}, {'pmids': [27659046, 26474387], 'drugChemblId': 'CHEMBL443684', 'sources': ['CKB'], 'score': 3, 'drugName': 'NAVITOCLAX', 'interactionId': 'df19b362-8793-440f-ab29-c6a950d294f5', 'interactionTypes': []}, {'pmids': [7750082], 'drugChemblId': 'CHEMBL17423', 'sources': ['NCI'], 'score': 2, 'drugName': 'VESNARINONE', 'interactionId': 'f0283d67-6e26-47d8-bdfd-39a9ff9c15b0', 'interactionTypes': []}, {'pmids': [26855149], 'drugChemblId': 'CHEMBL2109384', 'sources': ['CKB'], 'score': 2, 'drugName': 'DEMCIZUMAB', 'interactionId': '276c09d7-048f-468e-8d73-a63f2cec28be', 'interactionTypes': []}, {'pmids': [22438244], 'drugChemblId': 'CHEMBL1725279', 'sources': ['CKB'], 'score': 2, 'drugName': 'SP-600125', 'interactionId': '4376d619-953d-4c4b-b320-3d03804e7837', 'interactionTypes': []}, {'pmids': [23839309], 'drugChemblId': 'CHEMBL2041933', 'sources': ['CKB'], 'score': 2, 'drugName': 'AZD-7762', 'interactionId': '2193cbd3-9e4e-46c7-ad61-0edb2e15f9ae', 'interactionTypes': []}, {'pmids': [16585387], 'drugChemblId': 'CHEMBL1200679', 'sources': ['NCI'], 'score': 2, 'drugName': 'ZINC CHLORIDE', 'interactionId': '37579d3a-fc5d-43a8-8222-6f86adbbcaed', 'interactionTypes': []}, {'pmids': [], 'drugChemblId': 'CHEMBL3545202', 'sources': ['CKB'], 'score': 1, 'drugName': 'VX-970', 'interactionId': '089c5031-8f71-4a33-8408-0d5ac630f081', 'interactionTypes': []}, {'pmids': [24504419], 'drugChemblId': 'CHEMBL3545248', 'sources': ['CKB'], 'score': 2, 'drugName': 'DS-7423', 'interactionId': '637ac5cb-f562-461d-8f7d-3c47f3ee9ffc', 'interactionTypes': []}, {'pmids': [26759239], 'drugChemblId': 'CHEMBL275787', 'sources': ['CKB'], 'score': 2, 'drugName': 'PRODIGIOSIN', 'interactionId': 'c9001d29-1f62-4044-b455-64e9443af4b6', 'interactionTypes': []}, {'pmids': [26432108], 'drugChemblId': 'CHEMBL3545212', 'sources': ['CKB'], 'score': 2, 'drugName': 'AMG-337', 'interactionId': 'e880beca-3211-4b4f-b2a7-92baf9c2cd4f', 'interactionTypes': []}, {'pmids': [25658463, 21399868, 16243804, 23165797, 26826118, 22698404, 9569050], 'drugChemblId': 'CHEMBL53463', 'sources': ['CKB', 'CGI', 'CIViC'], 'score': 10, 'drugName': 'DOXORUBICIN', 'interactionId': '567cd2fe-3fd9-4340-be04-9bd6077758c3', 'interactionTypes': []}, {'pmids': [12415616], 'drugChemblId': 'CHEMBL422', 'sources': ['NCI'], 'score': 2, 'drugName': 'TRIFLUOPERAZINE', 'interactionId': '9ff048c4-9499-4518-a320-57065e0e02d2', 'interactionTypes': []}, {'pmids': [26438783], 'drugChemblId': 'CHEMBL84', 'sources': ['CKB'], 'score': 2, 'drugName': 'TOPOTECAN', 'interactionId': '63670b80-5f58-4f8c-bade-a9c2f95d5596', 'interactionTypes': []}, {'pmids': [27217383], 'drugChemblId': 'CHEMBL3301610', 'sources': ['CKB', 'CGI'], 'score': 3, 'drugName': 'ABEMACICLIB', 'interactionId': '5b89a059-3650-4d95-b1c0-9bc29f916bb6', 'interactionTypes': []}, {'pmids': [26358474], 'drugChemblId': 'CHEMBL3402762', 'sources': ['CKB'], 'score': 2, 'drugName': 'Tepotinib', 'interactionId': 'b6235a8d-9c17-4e1b-ad33-1753194e0147', 'interactionTypes': []}, {'pmids': [25964101], 'drugChemblId': 'CHEMBL44657', 'sources': ['CKB'], 'score': 2, 'drugName': 'ETOPOSIDE', 'interactionId': 'e11e5150-6a77-4a92-9ecb-71f5c3dba94c', 'interactionTypes': []}, {'pmids': [7790147], 'drugChemblId': 'CHEMBL1515', 'sources': ['NCI'], 'score': 2, 'drugName': 'METHIMAZOLE', 'interactionId': 'aa7e5dc8-2582-4dda-9cc3-fe0f3b9eee03', 'interactionTypes': []}, {'pmids': [25567130, 25658463, 11595686, 26494859, 27998224], 'drugChemblId': 'CHEMBL1351', 'sources': ['CKB', 'CIViC'], 'score': 7, 'drugName': 'CARBOPLATIN', 'interactionId': 'b970798b-1253-4571-b0be-918f8cab4af7', 'interactionTypes': []}, {'pmids': [17121911], 'drugChemblId': 'CHEMBL384304', 'sources': ['CKB'], 'score': 2, 'drugName': 'RG-547', 'interactionId': '52a2a3c1-09bd-40c3-931f-0c4e31fcc5e6', 'interactionTypes': []}, {'pmids': [7790147], 'drugChemblId': 'CHEMBL1518', 'sources': ['NCI'], 'score': 2, 'drugName': 'PROPYLTHIOURACIL', 'interactionId': '4b000b19-d7c3-47c9-bc95-a7c1931eafe5', 'interactionTypes': []}, {'pmids': [26343583, 28514312], 'drugChemblId': 'CHEMBL1229517', 'sources': ['CKB'], 'score': 3, 'drugName': 'VEMURAFENIB', 'interactionId': '79d46b01-6a19-4c4b-9f58-07813ed90e20', 'interactionTypes': []}, {'pmids': [21730979], 'drugChemblId': 'CHEMBL303958', 'sources': ['CKB'], 'score': 2, 'drugName': 'CHEMBL303958', 'interactionId': '350bc934-556c-4470-8496-01d0cbd37c06', 'interactionTypes': []}, {'pmids': [21399868, 22425996], 'drugChemblId': 'CHEMBL92', 'sources': ['CKB', 'CIViC'], 'score': 4, 'drugName': 'DOCETAXEL', 'interactionId': '0ab35922-caf1-4e56-9b32-f488a713e0b3', 'interactionTypes': []}, {'pmids': [11895917], 'drugChemblId': 'CHEMBL1201576', 'sources': ['NCI'], 'score': 2, 'drugName': 'RITUXIMAB', 'interactionId': '0cf43997-a604-4e62-bcad-48832daeae7f', 'interactionTypes': []}, {'pmids': [27659046], 'drugChemblId': 'CHEMBL2396661', 'sources': ['CKB'], 'score': 2, 'drugName': 'ALPELISIB', 'interactionId': 'c01e81f7-b9d0-4d79-a59e-188eadf42848', 'interactionTypes': []}, {'pmids': [26563132], 'drugChemblId': 'CHEMBL2165191', 'sources': ['CKB'], 'score': 2, 'drugName': 'AZD-6482', 'interactionId': '14809289-0ea3-465d-9e05-812dae83aa40', 'interactionTypes': []}, {'pmids': [26855149], 'drugChemblId': 'CHEMBL1421', 'sources': ['CKB'], 'score': 2, 'drugName': 'DASATINIB', 'interactionId': '1320e5ba-4a28-40c9-aeb2-d1c83513ded1', 'interactionTypes': []}, {'pmids': [26343583, 26272063, 22425996], 'drugChemblId': 'CHEMBL1614701', 'sources': ['CKB', 'CIViC'], 'score': 5, 'drugName': 'SELUMETINIB', 'interactionId': '96a52c24-1d56-46c1-943d-119bf326f288', 'interactionTypes': []}, {'pmids': [25700705], 'drugChemblId': 'CHEMBL1129', 'sources': ['CKB'], 'score': 2, 'drugName': 'TRIFLURIDINE', 'interactionId': '90880e86-53d3-4aef-ac02-ccc0332c1e51', 'interactionTypes': []}, {'pmids': [28514312], 'drugChemblId': 'CHEMBL1201827', 'sources': ['CKB'], 'score': 2, 'drugName': 'PANITUMUMAB', 'interactionId': 'c1ed87b5-2521-40be-a9fa-28673cd18775', 'interactionTypes': []}, {'pmids': [16351512], 'drugChemblId': 'CHEMBL2108463', 'sources': ['NCI'], 'score': 2, 'drugName': 'GARLIC', 'interactionId': '7932da25-5bdc-4d65-905f-f4cc916d49a6', 'interactionTypes': []}, {'pmids': [10592235], 'drugChemblId': 'CHEMBL1235116', 'sources': ['DrugBank'], 'score': 2, 'drugName': 'CHEMBL1235116', 'interactionId': '71601e66-19f0-45aa-a3ef-4badc161fdae', 'interactionTypes': []}, {'pmids': [23165797], 'drugChemblId': 'CHEMBL1024', 'sources': ['CKB'], 'score': 2, 'drugName': 'IFOSFAMIDE', 'interactionId': 'a9056b83-5a03-4b41-b2d8-64629196d8f4', 'interactionTypes': []}, {'pmids': [], 'drugChemblId': 'CHEMBL3301612', 'sources': ['CKB'], 'score': 1, 'drugName': 'ENCORAFENIB', 'interactionId': '51065b1e-c051-445b-a51c-b10714b0fc26', 'interactionTypes': []}, {'pmids': [16001656], 'drugChemblId': 'CHEMBL1201558', 'sources': ['NCI'], 'score': 2, 'drugName': 'INTERFERON ALFA-2B', 'interactionId': '107d883c-b547-4eb7-b515-37c26f55c4db', 'interactionTypes': []}, {'pmids': [], 'drugChemblId': 'CHEMBL289469', 'sources': ['ClearityFoundationClinicalTrial'], 'score': 1, 'drugName': 'GRANISETRON', 'interactionId': 'bfaab9be-6b15-4f67-a26b-8caaa0a16510', 'interactionTypes': []}, {'pmids': [28039262], 'drugChemblId': 'CHEMBL3137343', 'sources': ['CKB'], 'score': 2, 'drugName': 'PEMBROLIZUMAB', 'interactionId': '7a8fe0f8-5f5a-49fb-83ca-9c5b876001e7', 'interactionTypes': []}, {'pmids': [26009011], 'drugChemblId': 'CHEMBL383824', 'sources': ['CKB'], 'score': 2, 'drugName': 'ALVESPIMYCIN', 'interactionId': '757c6725-dfca-49c8-8402-5c4effde6bc2', 'interactionTypes': []}, {'pmids': [22713237], 'drugChemblId': 'CHEMBL3545137', 'sources': ['CKB'], 'score': 2, 'drugName': 'PF-00477736', 'interactionId': 'ff792bcb-bf70-4d1e-a7dd-8d0aef492b7c', 'interactionTypes': []}, {'pmids': [], 'drugChemblId': 'CHEMBL803', 'sources': ['CKB'], 'score': 1, 'drugName': 'CYTARABINE', 'interactionId': '9c3e64f2-79ea-47a5-894c-853c03e7b058', 'interactionTypes': []}, {'pmids': [27659046], 'drugChemblId': 'CHEMBL2001019', 'sources': ['CKB'], 'score': 2, 'drugName': 'PF-04217903', 'interactionId': '1db0d865-02b6-4e3e-82dc-130f727a617d', 'interactionTypes': []}, {'pmids': [26144316, 16651424], 'drugChemblId': 'CHEMBL413', 'sources': ['CKB', 'NCI'], 'score': 4, 'drugName': 'SIROLIMUS', 'interactionId': '8dacbe9d-53a6-4760-bb7a-11970298b569', 'interactionTypes': []}, {'pmids': [18026198], 'drugChemblId': 'CHEMBL363160', 'sources': ['CKB'], 'score': 2, 'drugName': 'PHA-680632', 'interactionId': '5f7ebe20-1896-49cd-9649-cbb72b5ffb53', 'interactionTypes': []}, {'pmids': [16733561], 'drugChemblId': 'CHEMBL1222251', 'sources': ['NCI'], 'score': 2, 'drugName': 'INOSITOL', 'interactionId': '3efb917b-ebe4-4f55-adf9-3d17c6a9e32c', 'interactionTypes': []}, {'pmids': [16459017], 'drugChemblId': 'CHEMBL428647', 'sources': ['PharmGKB', 'CKB', 'NCI'], 'score': 4, 'drugName': 'PACLITAXEL', 'interactionId': 'ce09a753-bd0c-4fba-a0bc-0548073b0ad5', 'interactionTypes': []}, {'pmids': [], 'drugChemblId': 'CHEMBL3039502', 'sources': ['CKB'], 'score': 1, 'drugName': 'DUVELISIB', 'interactionId': '27e190f4-61a1-4910-9756-570277418fea', 'interactionTypes': []}, {'pmids': [16224182], 'drugChemblId': 'CHEMBL1221512', 'sources': ['NCI'], 'score': 2, 'drugName': 'CHEMBL1221512', 'interactionId': '420f815b-3d70-4d0f-b1ba-0454198d6c38', 'interactionTypes': []}, {'pmids': [27601554, 27196784, 21992793, 23520471, 21389100, 19887545, 21799033, 28652249, 22713237, 27998224], 'drugChemblId': 'CHEMBL1976040', 'sources': ['CKB', 'CGI'], 'score': 12, 'drugName': 'AZD-1775', 'interactionId': '8206ed7c-0b93-4fbb-ac57-f79ad25fa46a', 'interactionTypes': []}, {'pmids': [16684279], 'drugChemblId': 'CHEMBL866', 'sources': ['NCI'], 'score': 2, 'drugName': 'MYCOPHENOLIC ACID', 'interactionId': 'cb5a67b7-1609-45a9-ade8-10d8672245d9', 'interactionTypes': []}, {'pmids': [26563132], 'drugChemblId': 'CHEMBL1873475', 'sources': ['CKB'], 'score': 2, 'drugName': 'IBRUTINIB', 'interactionId': 'e10e656a-045a-49fa-a987-f8e7ad606684', 'interactionTypes': []}, {'pmids': [21730979], 'drugChemblId': 'CHEMBL810', 'sources': ['CKB'], 'score': 2, 'drugName': 'TEMOZOLOMIDE', 'interactionId': '0542e74d-c7a4-4bb6-81b8-88f5a2d26aa4', 'interactionTypes': []}, {'pmids': [], 'drugChemblId': 'CHEMBL105', 'sources': ['CGI'], 'score': 1, 'drugName': 'MITOMYCIN', 'interactionId': 'e240d36a-5cd5-43d8-a791-92020db2d773', 'interactionTypes': []}, {'pmids': [24957073], 'drugChemblId': 'CHEMBL1201577', 'sources': ['CIViC'], 'score': 2, 'drugName': 'CETUXIMAB', 'interactionId': '357ac197-42a5-4eb7-b635-64e7bcb96d03', 'interactionTypes': []}, {'pmids': [26228206], 'drugChemblId': 'CHEMBL2107832', 'sources': ['CKB'], 'score': 2, 'drugName': 'PIMASERTIB', 'interactionId': '016fe430-b09e-4a3c-aea2-6074b88eb35d', 'interactionTypes': []}, {'pmids': [24957073], 'drugChemblId': 'CHEMBL1773', 'sources': ['CIViC'], 'score': 2, 'drugName': 'CAPECITABINE', 'interactionId': 'a994d140-3dcb-4770-aded-46fe65a79e72', 'interactionTypes': []}, {'pmids': [10786679], 'drugChemblId': 'CHEMBL83', 'sources': ['CIViC'], 'score': 2, 'drugName': 'TAMOXIFEN', 'interactionId': 'a4a18169-33ae-4249-964d-6f825e05267f', 'interactionTypes': []}, {'pmids': [27815358], 'drugChemblId': 'CHEMBL3545007', 'sources': ['CKB'], 'score': 2, 'drugName': 'RG-7602', 'interactionId': 'a66429b5-6483-4b92-b0cf-aa6bd78a9442', 'interactionTypes': []}, {'pmids': [26272063], 'drugChemblId': 'CHEMBL507361', 'sources': ['CKB'], 'score': 2, 'drugName': 'PD-0325901', 'interactionId': '01ad950f-1cb0-4dd8-9618-a4953655ecb6', 'interactionTypes': []}, {'pmids': [9647614], 'drugChemblId': 'CHEMBL50882', 'sources': ['NCI'], 'score': 2, 'drugName': 'TIRAPAZAMINE', 'interactionId': '05d0cb84-5496-4146-b85f-a1f34d5a574b', 'interactionTypes': []}, {'pmids': [16020667], 'drugChemblId': 'CHEMBL51483', 'sources': ['NCI'], 'score': 2, 'drugName': 'GOSSYPOL', 'interactionId': '55555e52-6b10-40c7-85ce-789fa2485e91', 'interactionTypes': []}, {'pmids': [26009011], 'drugChemblId': 'CHEMBL2103879', 'sources': ['CKB'], 'score': 2, 'drugName': 'GANETESPIB', 'interactionId': '9e63cf1d-a2bb-433a-a34a-c99a18c7202e', 'interactionTypes': []}, {'pmids': [25971938, 27149990, 26438783], 'drugChemblId': 'CHEMBL601719', 'sources': ['CKB'], 'score': 4, 'drugName': 'CRIZOTINIB', 'interactionId': '32d4b6c4-5644-4f7e-a5fe-0a0f2fc1c1cf', 'interactionTypes': []}, {'pmids': [21468686], 'drugChemblId': 'CHEMBL376408', 'sources': ['CKB'], 'score': 2, 'drugName': 'CHEMBL376408', 'interactionId': '0ac49728-1b63-4848-ae67-ede39f040e0d', 'interactionTypes': []}, {'pmids': [26343583], 'drugChemblId': 'CHEMBL3545195', 'sources': ['CKB'], 'score': 2, 'drugName': 'LY-3009120', 'interactionId': 'd389dd7f-1ca8-44b7-b6f8-07bc17fc4482', 'interactionTypes': []}, {'pmids': [26009011, 25669829], 'drugChemblId': 'CHEMBL98', 'sources': ['CKB'], 'score': 3, 'drugName': 'VORINOSTAT', 'interactionId': '91856178-4fb3-4bd1-91d1-ce2e8ccbd54c', 'interactionTypes': []}, {'pmids': [25964101, 26494859, 26883273], 'drugChemblId': 'CHEMBL191334', 'sources': ['CKB'], 'score': 4, 'drugName': 'NUTLIN-3', 'interactionId': '61cd1247-a3ad-4576-b30b-83d8bb85381e', 'interactionTypes': []}, {'pmids': [26855149], 'drugChemblId': 'CHEMBL392068', 'sources': ['CKB'], 'score': 2, 'drugName': 'CHEMBL392068', 'interactionId': '2a361708-06cf-4d7e-a2b5-185d96c56516', 'interactionTypes': []}, {'pmids': [15710360], 'drugChemblId': 'CHEMBL190083', 'sources': ['NCI'], 'score': 2, 'drugName': 'TARENFLURBIL', 'interactionId': '33ff094e-3c7a-4fac-97da-a25f2a277214', 'interactionTypes': []}, {'pmids': [22172724], 'drugChemblId': 'CHEMBL521686', 'sources': ['CKB'], 'score': 2, 'drugName': 'OLAPARIB', 'interactionId': 'b4bc0d65-859c-4609-8308-fa2845888e95', 'interactionTypes': []}, {'pmids': [25971938], 'drugChemblId': 'CHEMBL3188267', 'sources': ['CKB'], 'score': 2, 'drugName': 'CAPMATINIB', 'interactionId': '6086cbb7-340e-431d-ad32-e2072b8f15b7', 'interactionTypes': []}, {'pmids': [26009011], 'drugChemblId': 'CHEMBL109480', 'sources': ['CKB'], 'score': 2, 'drugName': 'TANESPIMYCIN', 'interactionId': '5ace160f-c3f2-4760-a571-1c4498c9f793', 'interactionTypes': []}, {'pmids': [24957073, 21468686], 'drugChemblId': 'CHEMBL414804', 'sources': ['CKB', 'CIViC'], 'score': 4, 'drugName': 'OXALIPLATIN', 'interactionId': '91c36d08-1a3b-4d66-9df7-bab168c6c937', 'interactionTypes': []}, {'pmids': [26646755, 25669829], 'drugChemblId': 'CHEMBL477772', 'sources': ['CKB'], 'score': 3, 'drugName': 'PAZOPANIB', 'interactionId': 'a813e0fa-847f-46d8-9cde-227c175cc17d', 'interactionTypes': []}, {'pmids': [26272063], 'drugChemblId': 'CHEMBL1879463', 'sources': ['CKB'], 'score': 2, 'drugName': 'DACTOLISIB', 'interactionId': '40d623d1-ff3c-4dbb-a967-42389e199927', 'interactionTypes': []}, {'pmids': [16900775], 'drugChemblId': 'CHEMBL578', 'sources': ['NCI'], 'score': 2, 'drugName': 'ENALAPRIL', 'interactionId': 'fb34b50b-a2dc-48d0-bc3e-ea5416b0dd7b', 'interactionTypes': []}], 'searchTerm': 'TP53', 'geneCategories': [{'id': '0d157beb-fd17-404d-8755-3a81aa5ed704', 'name': 'CLINICALLY ACTIONABLE'}, {'id': 'd3ec2631e0b2434b9dcc008e793d3fa5', 'name': 'DRUGGABLE GENOME'}, {'id': '4ce9f470845e469fb46feea79e05727d', 'name': 'TUMOR SUPPRESSOR'}, {'id': '51d8dcf789de4dd08ac3c0ce0992d20b', 'name': 'TRANSCRIPTION FACTOR COMPLEX'}, {'id': '655bedfa9d71482796a5a34b87dfb297', 'name': 'DRUG RESISTANCE'}, {'id': '7091f8a01cac4ec8b5f5b150cdacfb46', 'name': 'HISTONE MODIFICATION'}, {'id': '8ec3ee55b5ac4e3f8a263748945a5ce4', 'name': 'DNA REPAIR'}, {'id': 'c182d8b07bd240718200714eaf2ab9f4', 'name': 'RNA DIRECTED DNA POLYMERASE'}, {'id': 'ecf1e11d8dcc4708a81f92bc514dafd1', 'name': 'TRANSCRIPTION FACTOR BINDING'}], 'entrezId': 7157, 'geneLongName': 'TUMOR PROTEIN P53'}
H_LS-E2-A14P-01A-31D-A19H-09	chr17	59861630	59861641	CTGCTATTTTG	CG	BRIP1	inframe_deletion	1	1	{'geneName': 'BRIP1', 'interactions': [], 'searchTerm': 'BRIP1', 'geneCategories': [{'id': '4ce9f470845e469fb46feea79e05727d', 'name': 'TUMOR SUPPRESSOR'}, {'id': '8ec3ee55b5ac4e3f8a263748945a5ce4', 'name': 'DNA REPAIR'}, {'id': '0d157beb-fd17-404d-8755-3a81aa5ed704', 'name': 'CLINICALLY ACTIONABLE'}], 'entrezId': 83990, 'geneLongName': 'BRCA1 INTERACTING PROTEIN C-TERMINAL HELICASE 1'}
H_LS-E2-A14P-01A-31D-A19H-09	chrX	132838304	132838328	GAAAAAAAAAAAAAGGTGAAAATT	GAAAAAAAAAAAAGGTGAAAATT	GPC3	splice_region_variant	1	1	{'geneName': 'GPC3', 'interactions': [], 'searchTerm': 'GPC3', 'geneCategories': [{'id': '51dd009e544a4ca79206e445a0e96a45', 'name': 'PROTEASE'}, {'id': '0186061d8abd4571a3eafed05886cba6', 'name': 'PROTEASE INHIBITOR'}, {'id': 'd3ec2631e0b2434b9dcc008e793d3fa5', 'name': 'DRUGGABLE GENOME'}], 'entrezId': 2719, 'geneLongName': 'GLYPICAN 3'}" > exp

gemini actionable_mutations test.somatic.db > obs

check obs exp
